//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "RVEdit.hpp"
#include "RichView.hpp"
#include "RVScroll.hpp"
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include "RVStyle.hpp"
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TRichViewEdit *RichViewEdit1;
	TPanel *Panel1;
	TSpeedButton *btnBullets;
	TSpeedButton *btnNumbering;
	TRVStyle *RVStyle1;
	void __fastcall RichViewEdit1CaretMove(TObject *Sender);
	void __fastcall btnBulletsClick(TObject *Sender);
	void __fastcall btnNumberingClick(TObject *Sender);
private:	// User declarations
	int GetListNo(TCustomRichViewEdit* rve, int ItemNo);
    int CreateBullets();
    int CreateNumbering();    
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 